<?xml version="1.0" encoding="utf-8"?>
<FilingSummary xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Version>2.4.0.8</Version>
  <ProcessingTime />
  <ReportFormat>Html</ReportFormat>
  <ContextCount>155</ContextCount>
  <ElementCount>288</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>64</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>7</UnitCount>
  <MyReports>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>101 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DocumentandEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
    </Report>
    <Report>
      <IsDefault>true</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>103 - Statement - Balance Sheets</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/StatementOfFinancialPositionClassified</Role>
      <ShortName>Balance Sheets</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>104 - Statement - Balance Sheets (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/StatementOfFinancialPositionClassifiedParenthetical</Role>
      <ShortName>Balance Sheets (Parenthetical)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>105 - Statement - Statements of Operations and Other Comprehensive Loss</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/StatementOfIncomeAlternative</Role>
      <ShortName>Statements of Operations and Other Comprehensive Loss</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>106 - Statement - Statements of Stockholders' Equity</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncome</Role>
      <ShortName>Statements of Stockholders' Equity</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>107 - Statement - Statements of Stockholders' Equity (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncomeParenthetical</Role>
      <ShortName>Statements of Stockholders' Equity (Parenthetical)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>108 - Statement - Statements of Cash Flows</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/StatementOfCashFlowsIndirect</Role>
      <ShortName>Statements of Cash Flows</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>109 - Statement - Statements of Cash Flows (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/StatementOfCashFlowsIndirectParenthetical</Role>
      <ShortName>Statements of Cash Flows (Parenthetical)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>110 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsBasisOfPresentationAndSignificantAccountingPoliciesTextBlock</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>111 - Disclosure - Investments</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsInvestmentsInDebtAndMarketableEquitySecuritiesAndCertainTradingAssetsDisclosureTextBlock</Role>
      <ShortName>Investments</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>112 - Disclosure - Debt</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsDebtDisclosureTextBlock</Role>
      <ShortName>Debt</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>113 - Disclosure - Stockholders' Equity</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlock</Role>
      <ShortName>Stockholders' Equity</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>114 - Disclosure - Income Taxes</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlock</Role>
      <ShortName>Income Taxes</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>115 - Disclosure - Commitments and Contingencies</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock</Role>
      <ShortName>Commitments and Contingencies</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>116 - Disclosure - Revenue and Vendor Concentrations</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsConcentrationRiskDisclosureTextBlock</Role>
      <ShortName>Revenue and Vendor Concentrations</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>117 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsBasisOfPresentationAndSignificantAccountingPoliciesTextBlockPolicies</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies (Policies)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>118 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsBasisOfPresentationAndSignificantAccountingPoliciesTextBlockTables</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>119 - Disclosure - Investments (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsInvestmentsInDebtAndMarketableEquitySecuritiesAndCertainTradingAssetsDisclosureTextBlockTables</Role>
      <ShortName>Investments (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>120 - Disclosure - Stockholders' Equity (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlockTables</Role>
      <ShortName>Stockholders' Equity (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>121 - Disclosure - Income Taxes (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlockTables</Role>
      <ShortName>Income Taxes (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>122 - Disclosure - Commitments and Contingencies (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlockTables</Role>
      <ShortName>Commitments and Contingencies (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>123 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureNatureOfOperationsAndSummaryOfSignificantAccountingPoliciesAdditionalInformation</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies - Additional Information (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>124 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies - Potentially Dilutive Common Shares (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureNatureOfOperationsAndSummaryOfSignificantAccountingPoliciesPotentiallyDilutiveCommonShares</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies - Potentially Dilutive Common Shares (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>125 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies - Computation of Basic and Diluted Net Loss Per Share (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureNatureOfOperationsAndSummaryOfSignificantAccountingPoliciesComputationOfBasicAndDilutedNetLossPerShare</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies - Computation of Basic and Diluted Net Loss Per Share (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>126 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies - Summary of Accounts Receivable (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureNatureOfOperationsAndSummaryOfSignificantAccountingPoliciesSummaryOfAccountsReceivable</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies - Summary of Accounts Receivable (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>127 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies - Summary of Property and Equipment (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureNatureOfOperationsAndSummaryOfSignificantAccountingPoliciesSummaryOfPropertyAndEquipment</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies - Summary of Property and Equipment (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>128 - Disclosure - Nature of Operations and Summary of Significant Accounting Policies - Components of Comprehensive Loss (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureNatureOfOperationsAndSummaryOfSignificantAccountingPoliciesComponentsOfComprehensiveLoss</Role>
      <ShortName>Nature of Operations and Summary of Significant Accounting Policies - Components of Comprehensive Loss (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>129 - Disclosure - Investments - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureInvestmentsAdditionalInformation</Role>
      <ShortName>Investments - Additional Information (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>130 - Disclosure - Investments - Summary of Investments by Type of Security (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureInvestmentsSummaryOfInvestmentsByTypeOfSecurity</Role>
      <ShortName>Investments - Summary of Investments by Type of Security (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>131 - Disclosure - Investments - Summary of Fair Value of Investments Measured on Recurring Basis (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureInvestmentsSummaryOfFairValueOfInvestmentsMeasuredOnRecurringBasis</Role>
      <ShortName>Investments - Summary of Fair Value of Investments Measured on Recurring Basis (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>132 - Disclosure - Debt - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureDebtAdditionalInformation</Role>
      <ShortName>Debt - Additional Information (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>133 - Disclosure - Stockholders' Equity - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquityAdditionalInformation</Role>
      <ShortName>Stockholders' Equity - Additional Information (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>134 - Disclosure - Stockholders' Equity - Fair Value Calculations for Stock-Based Compensation Awards (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquityFairValueCalculationsForStockBasedCompensationAwards</Role>
      <ShortName>Stockholders' Equity - Fair Value Calculations for Stock-Based Compensation Awards (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>135 - Disclosure - Stockholders' Equity - Stock-Based Compensation Expense Related to Stock Options and RSUs (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquityStockBasedCompensationExpenseRelatedToStockOptionsAndRSUs</Role>
      <ShortName>Stockholders' Equity - Stock-Based Compensation Expense Related to Stock Options and RSUs (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>136 - Disclosure - Stockholders' Equity - Summary of Vested and Unvested Options, Weighted Average Exercise Price per Share, Weighted Average Remaining Term and Aggregate Intrinsic Value (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquitySummaryOfVestedAndUnvestedOptionsWeightedAverageExercisePricePerShareWeightedAverageRemainingTermAndAggregateIntrinsicValue</Role>
      <ShortName>Stockholders' Equity - Summary of Vested and Unvested Options, Weighted Average Exercise Price per Share, Weighted Average Remaining Term and Aggregate Intrinsic Value (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>137 - Disclosure - Stockholders' Equity - Stock Option Activity (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquityStockOptionActivity</Role>
      <ShortName>Stockholders' Equity - Stock Option Activity (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>138 - Disclosure - Stockholders' Equity - Significant Ranges of Outstanding and Exercisable Options (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquitySignificantRangesOfOutstandingAndExercisableOptions</Role>
      <ShortName>Stockholders' Equity - Significant Ranges of Outstanding and Exercisable Options (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>139 - Disclosure - Stockholders' Equity - Number of Stock Options Outstanding under Prior Plans (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquityNumberOfStockOptionsOutstandingUnderPriorPlans</Role>
      <ShortName>Stockholders' Equity - Number of Stock Options Outstanding under Prior Plans (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>140 - Disclosure - Stockholders' Equity - RSU Activity (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureStockholdersEquityRSUActivity</Role>
      <ShortName>Stockholders' Equity - RSU Activity (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>141 - Disclosure - Income Taxes - Income Tax Provision (Benefit) (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureIncomeTaxesIncomeTaxProvisionBenefit</Role>
      <ShortName>Income Taxes - Income Tax Provision (Benefit) (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>142 - Disclosure - Income Taxes - Company's Net Deferred Tax Assets and Liabilities (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureIncomeTaxesCompanysNetDeferredTaxAssetsAndLiabilities</Role>
      <ShortName>Income Taxes - Company's Net Deferred Tax Assets and Liabilities (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>143 - Disclosure - Income Taxes - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureIncomeTaxesAdditionalInformation</Role>
      <ShortName>Income Taxes - Additional Information (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>144 - Disclosure - Income Taxes - Income Taxes Computed Using Federal Income Tax Rate (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureIncomeTaxesIncomeTaxesComputedUsingFederalIncomeTaxRate</Role>
      <ShortName>Income Taxes - Income Taxes Computed Using Federal Income Tax Rate (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>145 - Disclosure - Commitments and Contingencies - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureCommitmentsAndContingenciesAdditionalInformation</Role>
      <ShortName>Commitments and Contingencies - Additional Information (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>146 - Disclosure - Commitments and Contingencies - Future Annual Minimum Rental Payments Payable (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureCommitmentsAndContingenciesFutureAnnualMinimumRentalPaymentsPayable</Role>
      <ShortName>Commitments and Contingencies - Future Annual Minimum Rental Payments Payable (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>147 - Disclosure - Revenue and Vendor Concentrations - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://miteksystems.com/taxonomy/role/DisclosureRevenueAndVendorConcentrationsAdditionalInformation</Role>
      <ShortName>Revenue and Vendor Concentrations - Additional Information (Detail)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <Logs>
    <Log type="Info">Process Flow-Through: 103 - Statement - Balance Sheets</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Sep. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Sep. 30, 2011'</Log>
    <Log type="Info">Process Flow-Through: 104 - Statement - Balance Sheets (Parenthetical)</Log>
    <Log type="Info">Process Flow-Through: 105 - Statement - Statements of Operations and Other Comprehensive Loss</Log>
    <Log type="Info">Process Flow-Through: 107 - Statement - Statements of Stockholders' Equity (Parenthetical)</Log>
    <Log type="Info">Process Flow-Through: 108 - Statement - Statements of Cash Flows</Log>
    <Log type="Info">Process Flow-Through: 109 - Statement - Statements of Cash Flows (Parenthetical)</Log>
  </Logs>
  <InputFiles>
    <File>mitk-20140930.xml</File>
    <File>mitk-20140930.xsd</File>
    <File>mitk-20140930_cal.xml</File>
    <File>mitk-20140930_def.xml</File>
    <File>mitk-20140930_lab.xml</File>
    <File>mitk-20140930_pre.xml</File>
  </InputFiles>
  <SupplementalFiles />
  <BaseTaxonomies />
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
